
<script>

document.addEventListener('touchstart', handleTouchStart, false);
document.addEventListener('touchmove', handleTouchMove, false);

var xDown = null;
var yDown = null;

function handleTouchStart(evt) {
    xDown = evt.touches[0].clientX;
    yDown = evt.touches[0].clientY;
};

function handleTouchMove(evt) {
    if ( ! xDown || ! yDown ) {
        return;
    }

    var xUp = evt.touches[0].clientX;
    var yUp = evt.touches[0].clientY;

    var xDiff = xDown - xUp;
    var yDiff = yDown - yUp;

    if ( Math.abs( xDiff ) > Math.abs( yDiff ) ) {/*most significant*/
        if ( xDiff > 0 ) {
            /* left swipe */
            closeLeftMenu()
        } else {
            /* right swipe */
            openLeftMenu()
        }
    } else {
        if ( yDiff > 0 ) {
            /* up swipe */
        } else {
            /* down swipe */
        }
    }
    /* reset values */
    xDown = null;
    yDown = null;
};

function openLeftMenu() {
  document.getElementById("side-bar").style.width = "60%";
  document.getElementById("overlay").style.display = "block";
  document.body.style.overflow = "hidden";
}

function closeLeftMenu() {
    document.getElementById("side-bar").style.width = "0";
    document.getElementById("overlay").style.display = "none";
    document.body.style.overflow = "unset";
}

function dismissOverlay() {
  document.getElementById("overlay").style.display = "none";
  closeLeftMenu()
}

// function toggleSide

function toggleLink(id) {
  let icon = event.target;
  let clickedElement = document.getElementById(id);
  let status = clickedElement.style.display;

  if(status === "block") {
    icon.classList.remove("fa-angle-up");
    icon.classList.add("fa-angle-down");
    clickedElement.style.display = "none";
  } else {
    icon.classList.remove("fa-angle-down");
    icon.classList.add("fa-angle-up");
    clickedElement.style.display = "block";
  }
  clickedElement.parentElement.classList.toggle("active-item");
}

</script>

<a id="overlay" class="overlay" style="display: none;" onclick="dismissOverlay()"></a>

<%# The code bellow is duplicated. See 'navigation.html.erb' %>
<div class="sidebar bar-block" id="side-bar">
  <li>
    <div id="side-bar-search">
      <a href="/search/"><i class="fa fa-search"></i>Pesquisar</a>            
    </div>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/noticias"><i class="fa icon-news"></i>Notícias</a>            
      <span class="fa fa-angle-down" onclick="toggleLink('news')"></span>
    </div>
    <ul id="news" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'Eventos',"/unb-gama/eventos" %></li>
      <li><%= link_to 'Oportunidades',"/unb-gama/oportunidades/" %></li>
      <li><%= link_to 'Palestras',"/unb-gama/palestras" %></li>
      <li><%= link_to 'UnB Agência',"/unb-gama/unb-agencia" %></li>
      <li><%= link_to 'UnB Gama',  "/unb-gama/noticias" %></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/graduacao"><i class="fa icon-graduation"></i>Graduação</a>      
      <span class="fa fa-angle-down" onclick="toggleLink('graduation')"></span>
    </div>
    <ul id="graduation" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'Engenharia Aeroespacial', "/aeroespacial" %></li>
      <li><%= link_to 'Engenharia Automotiva', "/automotiva" %></li>
      <li><%= link_to 'Engenharia Eletrônica', "/eletronica" %></li>
      <li><%= link_to 'Engenharia de Energia', "/energia" %></li>
      <li><%= link_to 'Engenharia de Software', "/software" %></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/pos-graduacao"><i class="fa icon-after-graduation"></i>Pós-Graduação</a>
      <span class="fa fa-angle-down" onclick="toggleLink('pos-graduation')"></span>
    </div>
    <ul id="pos-graduation" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'Engenharia Biomédica', "/pgengbiomedica" %></li>
      <li><%= link_to 'Engenharia Clínica', "/pgengclinica" %></li>
      <li><a target="_blank" href="http://www.pgintegridade.unb.br">Integridade de Materiais</a></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/laboratorios"><i class="fa icon-laboratory"></i>Laboratórios</a>
      <span class="fa fa-angle-down" onclick="toggleLink('labs')"></span>
    </div>
    <ul id="labs" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'CPL',  "/cpl" %></li>
      <li><a target="_blank" href="http://fabrica.fga.unb.br">Fábrica de Software</a></li>
      <li><a target="_blank" href="http://www.labnvh.unb.br">LabNVH</a></li>
      <li><%= link_to 'LAPPIS',  "/lappis" %></li>
      <li><%= link_to 'LART',  "/lart" %></li>
      <li><%= link_to 'LEI',  "/lei" %></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/empresas-juniores"><i class="fa icon-ej"></i>Empresas Juniores</a>
      <span class="fa fa-angle-down" onclick="toggleLink('startups')"></span>
    </div>
    <ul id="startups" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'EletronJun', "http://www.eletronjun.com.br" %></li>
      <li><%= link_to 'Engrena', "http://www.engrenaengenharia.com.br" %></li>
      <li><a target="_blank" href="http://www.matrizenergia.com">Matriz Energia</a></li>
      <li><a target="_blank" href="http://orcestra.com.br">Orc'estra</a></li>
      <li><a target="_blank" href="http://zenitaerospace.com">Zenit Aerospace</a></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/sobre"><i class="fa fa-info"></i>Informações</a>
      <span class="fa fa-angle-down" onclick="toggleLink('info')"></span>     
    </div>
    <ul id="info" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'Contato',  "/unb-gama/contato" %></li>
      <li><%= link_to 'Estágio FGA',  "/estagio" %></li>
      <li><%= link_to 'Professores',  "/professores" %></li>
      <li><%= link_to 'TCC FGA',  "/tcc" %></li>
    </ul>
  </li>

  <li>
    <div class="dropdown-arrow list-title">
      <a href="/unb-gama/aprenda-mais"><i class="fa icon-plus"></i>Aprenda Mais</a>      
      <span class="fa fa-angle-down" onclick="toggleLink('learn-more')"></span>
    </div>
    <ul id="learn-more" class="navigation-dropdown-list arrow_box">
      <li><%= link_to 'Biblioteca FGA',  "/biblioteca-fga" %></li>
      <li><%= link_to 'Educação Tutorial',  "/unb-gama/aprenda-mais/programa-de-educacao-tutorial" %></li>
      <li><%= link_to 'Iniciação Científica',  "/unb-gama/aprenda-mais/iniciacao-cientifica" %></li>
      <li><%= link_to 'Intercâmbio',  "/unb-gama/aprenda-mais/intercambio" %></li>
      <li><%= link_to 'Monitoria',  "/unb-gama/aprenda-mais/monitoria" %></li>
      <li><%= link_to 'SOU FGA',  "/sou" %></li>
    </ul>
  </li>
</div>

<div id="barra-brasil"></div>

<div id="header-content">

  <i id="sidebar-logo" class="fas fa-bars" onclick="openLeftMenu()"></i>

  <a id="portal-logo"  href="/"></a>

  <div id="top-search-wrapper">
  </div>

  <div id="profile-header-fga">
    <div id="profile-header-actions">
      <% if logged_in? %>
        <div id="profile-menu-dropdown" class="profile-menu-trigger">
          <%= image_tag(profile_icon(current_person, :portrait)) %>
          <span class="fa fa-angle-down"></span>
        </div>
      <% else %>
        <div id="profile-button" class="profile-menu-trigger">
          <a href="#" id="login-button">
            <span class="fa fa-user"></span>Login
          </a>
        </div>
        <div class="signup-form">
          <%= link_to "Cadastre-se", :controller => 'account', :action => 'signup' %>
        </div>
      <% end %>
    </div>

    <div id="profile-dropdown">
      <% if logged_in? %>
        <div id="profile-logged-in">
          <span id="user-name"><%= "Olá, %s" % user.name %></span>
          <ul id="logged-options">
            <li><%= link_to 'Página de Perfil', "/profile/#{user.identifier}" %></li>
            <li><%= link_to 'Painel de Controle', "/myprofile/#{user.identifier}" %></li>
            <% if user.is_admin? %>
              <li><%= link_to 'Administração',  "/admin" %></li>
            <% end %>
            <li><%= link_to 'Sair', "/account/logout" %></li>
          </ul>
        </div>
      <% else %>
        <div id="profile-logged-out">
          <form id="header-login" action="/account/login" method="post">
            <div id="login-inputs">
              <input name="user[login]" placeholder="<%=_('E-mail ou nome de usuário')%>" type="text" />
              <input name="user[password]" placeholder="<%=_('Password')%>" type="password" />
            </div>
            <div id="header-login-options">
              <div class="header-login-options-col left">
                <input type="checkbox" id="remember-me-checkbox" >
                <div id="remember-me-label">
                <%= 'Lembrar meus dados' %>
                </div>
              </div>
              <div class="header-login-options-col right">
                <%= submit_button( 'login', _('Log in')) %>
                <%= link_to "Esqueci minha senha", {:controller => 'account', :action => 'forgot_password'}, id: 'forgot-password' %>
              </div>
            </div>
          </form>
        </div>
      <% end %>
    </div>
  </div>
</div>
